<ion-header>
</ion-header>

<ion-content>

  <body>
    <div class="container">
      <div class="month">
        <img class="left-wreath" src="../../assets/img/wreath left white.png">
        <div class="ariziona">{{currentMonth}} </div>
        <img class="right-wreath" src="../../assets/img/wreath right white.png">
      </div>
      <div class="calendar-flex">
        <mat-calendar class="semibold" [selected]="selectedDate" [startAt]="startAt" [minDate]="minDate"
          [maxDate]="maxDate" (selectedChange)="onSelect($event)">
        </mat-calendar>
      </div>
      <div class="arrows">
        <img class="arrow" src="../../assets/img/arrowSVGs/arrow3Left.svg" (click)="prevMonth()">
        <img class="arrow" src="../../assets/img/arrowSVGs/arrow3Right.svg" (click)="nextMonth()">
      </div>
      <div class="flex-palette">
        <div class="palette-colours" *ngFor="let res of moodColours">
          <svg class="svg-palette" height="50" width="50">
            <circle cx="25" cy="25" r="20" stroke="black" stroke-width="3" [id]="res[0].mood" [attr.fill]=res[0].hex
              (click)="colourClick(res[0].mood)" />
          </svg>
          <p class="text-palette">{{res[0].mood}}</p>
        </div>
      </div>
    </div>
  </body>
</ion-content>